> For the complete documentation index, see [llms.txt](https://bound-1.gitbook.io/bound-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://bound-1.gitbook.io/bound-docs/developer-guide/api-reference/inscriptions.md).

# Inscriptions

## POST /api/inscriptions/verify

> Verify and save inscriptions owned by wallet

```json
{"openapi":"3.0.0","info":{"title":"Radfi API","version":"1.0"},"servers":[{"url":"https://api.bound.exchange","description":"Production"}],"paths":{"/api/inscriptions/verify":{"post":{"operationId":"InscriptionController_verify","summary":"Verify and save inscriptions owned by wallet","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyInscriptionsDto"}}}},"responses":{"200":{"description":""}},"tags":["inscriptions"]}}},"components":{"schemas":{"VerifyInscriptionsDto":{"type":"object","properties":{"inscriptionIds":{"description":"Array of inscription IDs to verify","minItems":1,"maxItems":3,"type":"array","items":{"type":"string"}},"walletAddress":{"type":"string"}},"required":["inscriptionIds"]}}}}
```
